
-module(extype5).

-type myt(X) ::  integer() | X | list(myt(X)) | myt2().

-type myt2() ::  atom() | myt(atom()).

-record(myr,  {myfielda :: myt(myt(myt(tuple())))}).

-spec f()  -> myt(integer()).
